function ctf_plot_sensors(ctf,CHAN)

% ctf_plot_sensors - plot ctf.sensor data
%
% ctf_plot_sensors(ctf,CHAN)
%
% CHAN - see ctf_channel_select for options (default = 'meg')
%
%      <>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
%      <                                                      >
%      <                    DISCLAIMER:                       >
%      <                                                      >
%      < THIS PROGRAM IS INTENDED FOR RESEARCH PURPOSES ONLY. >
%      < THIS PROGRAM IS IN NO WAY INTENDED FOR CLINICAL OR   >
%      <                    OFFICIAL USE.                     >
%      <                                                      >
%      <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>
%

% $Revision: 1.2 $ $Date: 2004/07/18 06:10:17 $

% Copyright (C) 2004  Darren L. Weber
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; either version 2
% of the License, or (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

% Modified: 05/2004, Darren.Weber_at_radiology.ucsf.edu
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


if ~exist('CHAN','var'), CHAN = 'meg'; end
if isempty(CHAN), CHAN = 'meg'; end

% This function calls ctf_channel_select
[CHAN,type] = ctf_channel_select(ctf,CHAN);

sensors.vertices = zeros(length(CHAN),3);
for i = 1:length(CHAN),
    sensors.vertices(i,:) = ctf.sensor.info(CHAN(i)).location(:,1)';
end

sensors.faces = convhulln(sensors.vertices);

% plot the sensor cloud and the cortical surface
figure; hold on
patch('faces',sensors.faces,'vertices',sensors.vertices,'facecolor',[ 0 1 0], 'edgecolor', 'none','facealpha',0.4)
plot3(sensors.vertices(:,1),sensors.vertices(:,2),sensors.vertices(:,3),'r.')
daspect([1 1 1]); axis tight; grid; light; lighting phong
view([40,20]); rotate3d on
xlabel('x')
ylabel('y')
zlabel('z')

return
